Gecode::Support::QuickSortStack< Type > Class Template Reference

Static stack for quicksort. More...

`#include <sort.hpp>`

## Public Member Functions

| QuickSortStack (void)
| Initialize stack as empty.
bool | empty (void) const
| Test whether stack is empty.
void | push (Type *l, Type *r)
| Push two positions l and r.
void | pop (Type *&l, Type *&r)
| Pop two positions l and r.

## Detailed Description

template<class Type>
class Gecode::Support::QuickSortStack< Type >

Static stack for quicksort.

Definition at line 51 of file sort.hpp.

## Constructor & Destructor Documentation

## QuickSortStack()

template<class Type>

Gecode::Support::QuickSortStack< Type >::QuickSortStack | ( | void |  | ) |

inline

Initialize stack as empty.

Definition at line 72 of file sort.hpp.

## Member Function Documentation

## empty()

template<class Type>

bool Gecode::Support::QuickSortStack< Type >::empty | ( | void |  | ) | const

inline

Test whether stack is empty.

Definition at line 78 of file sort.hpp.

## push()

template<class Type>

void Gecode::Support::QuickSortStack< Type >::push | ( | Type * | l,
|  | Type * | r )

inline

Push two positions l and r.

Definition at line 84 of file sort.hpp.

## pop()

template<class Type>

void Gecode::Support::QuickSortStack< Type >::pop | ( | Type *& | l,
|  | Type *& | r )

inline

Pop two positions l and r.

Definition at line 90 of file sort.hpp.

The documentation for this class was generated from the following file:

- gecode/support/sort.hpp